=== debian/control ===
Source: ros-humble-off-highway-premium-radar-sample
Section: misc
Priority: optional
Maintainer: Robin Petereit <robin.petereit@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), libasio-dev, libpcl-common1.13, libpcl-dev, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-asio-cmake-module, ros-humble-diagnostic-updater, ros-humble-io-context, ros-humble-off-highway-premium-radar-sample-msgs, ros-humble-pcl-conversions, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-off-highway-premium-radar-sample
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libasio-dev, libpcl-common1.13, libpcl-dev, ros-humble-diagnostic-updater, ros-humble-io-context, ros-humble-off-highway-premium-radar-sample-msgs, ros-humble-pcl-conversions, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
Description: The off_highway_premium_radar_sample package
